package es.ejie.frmk.infraestructura.poolCache;

import java.util.List;

import es.ejie.frmk.control.arranque.Q70MBeanInterface;

/**
 * @version 2.0    Fecha: 22-feb-2006
 */
public interface Q70MBeanGestorCacheMBean extends Q70MBeanInterface {

	/**
	 * Devuelve una lista con los ids de las caches manejadas por el componente de Gestion de Caches, 
	 * que esta referenciado en el Mbean.
	 * @return Lista con los ids de las caches 
	 */
	public List getCacheIds();
	
	public int getCacheSize(String idCache);
	
	public void freeCache(String idCache);
}
